List agent tasks
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/agent_tasks \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/agent_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/agent_tasks"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"title": "<string>",
"status": "<string>",
"due_on": "2023-12-25",
"assignee_id": 123
}
],
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123,
"total_count": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Agent Tasks
List agent tasks
List agent tasks visible to the current user.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
agent_tasks
List agent tasks
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/agent_tasks \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/agent_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/agent_tasks"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"title": "<string>",
"status": "<string>",
"due_on": "2023-12-25",
"assignee_id": 123
}
],
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123,
"total_count": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Due date
Assignee id
Status
Area
Kind